Bug 452653 - Metacity crashes when using the numeric keypad
Metacity crashes when using the numeric keypad
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-24 06:24 EDT by Ingo Schaefer
Modified: 2014-06-18 05:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:27:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Metacity crash dump (35.29 KB, application/octet-stream)
2008-06-24 06:24 EDT, Ingo Schaefer
no flags Details
xev output during crash (837 bytes, text/plain)
2008-06-25 08:13 EDT, Ingo Schaefer
no flags Details

  None (edit)
Description Ingo Schaefer 2008-06-24 06:24:16 EDT
Description of problem:
If I use the numeric keypad on this system, metacity crashes. Additionally
bug-buddy is started, but can not draw the window on the screen because of the
crashed window manager.

Version-Release number of selected component (if applicable):
metacity-2.22.0-3.fc9.i386

How reproducible:
Always (here). Machine at home just ignores key presses on the numeric keypad

Steps to Reproduce:
1. Install F9
2. Log into Gnome
3. Try to enter a number using the numeric keypad
  
Actual results:
Metacity crashes, Bug-buddy is started, no interaction with any X application
possible

Expected results:
Of course typing anything on the keyboard should let the window manager be alive.

Additional info:
I've attached a minidump, which I copied out of the tmp directory via ssh
Comment 1 Ingo Schaefer 2008-06-24 06:24:16 EDT
Created attachment 310127 [details]
Metacity crash dump
Comment 2 Ingo Schaefer 2008-06-25 08:13:06 EDT
Created attachment 310255 [details]
xev output during crash

Today I used xev to capture the events while the crash happens. 

Remarkable (for me): the value of same_screen and the coordinates. I have not
moved the mouse in any way, so the coordinates should be stay the same.
Comment 3 Bug Zapper 2009-06-09 21:45:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:27:34 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.